﻿using Netina.Common.Models.Mapper;
using Netina.Domain.Dtos.SmallDtos;
using Netina.Domain.Entities.Blogs;

namespace Netina.Domain.Dtos.LargDtos;

public class BlogCategoryLDto : BaseDto<BlogCategoryLDto, BlogCategory>
{
    public string Name { get; internal set; } = string.Empty;
    public string Description { get; internal set; } = string.Empty;
    public List<BlogSDto> Blogs { get; set; } = new();
}