﻿using Netina.Common.Models.Mapper;
using Netina.Domain.Dtos.SmallDtos;
using Netina.Domain.Entities.ProductCategories;

namespace Netina.Domain.Dtos.LargDtos;

public class ProductCategoryLDto : BaseDto<ProductCategoryLDto, ProductCategory>
{
    public string Name { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public Guid ParentId { get; set; }
    public string ParentName { get; set; } = string.Empty;
    public bool IsMain { get; set; }
    public List<ProductCategorySDto> Children { get; set; } = new();
    public List<StorageFileSDto> Files { get; internal set; } = new();
}